<!doctype html>
<html>
<head>
<meta charset="UTF-8">
<title>FLEXBOX_07 JEREMY GARCÍA</title>
<style>
.contenedor {
  /*Prueba antes de iniciar.*/
  /*Los divs estan en diagonal*/ 
	/*Despues mira las últimas dos reglas de estilo, líneas 26 y 29, cambia los valores y prueba.*/
  display: flex;
  align-items: baseline;
  justify-content: space-around;
  height: 400px;
  background-color: #0C3F7A;
}

.contenedor > div {
  background-color: #FFF;
  width: 100px;
  margin: 10px;
  text-align: center;
  
  line-height: 75px;
  font-size: 30px;
  }
    .contenedor > div:nth-child(2) {
        align-self: center; /*cambia este valor*/
        /*El div se pone al centro del contenedor en su eje vertical*/
        align-self: stretch;
        /*El div se ajusta al tamaño completo del contenedor en eje vertical*/
        align-self: flex-start;
        /*El se acomoda en la parte superior del contenedor (Ya no ocupan todo el espacio en vertical del contenedor)*/
        align-self: flex-end;
        /*El div se acomoda en la parte inferior del contenedor, se ajustan de forma vertical a esta parte del contenedor*/
            
    }
     .contenedor > div:nth-child(3) {
        align-self: flex-end; /*cambia este valor*/
        align-self: center; /*cambia este valor*/
        /*El div se pone al centro del contenedor en su eje vertical*/
        align-self: stretch;
        /*El div se ajusta al tamaño completo del contenedor en eje vertical*/
        align-self: flex-start;
        /*El se acomoda en la parte superior del contenedor (Ya no ocupan todo el espacio en vertical del contenedor)*/ 
    }

    /*En conclusión align-self nos permite hacer lo mismo que align-items pero para un elemento en específico*/

</style>
</head>
<body>
<h1>Flexible Box justify-content</h1>

<div class="contenedor">
  <div>A</div>
  <div>B</div>
  <div>C</div>  

</div>
</body>
</html>
